<template>
  <div class="productItem my-5 bg-white rounded-2xl">
    <div
      class="relative w-full h-64 aspect-w-1 aspect-h-1 rounded-2xl overflow-hidden group-hover:opacity-75 lg:h-52 lg:aspect-none border-0 border-[#979797]"
    >
      <img
        :src="`https://2sote.com/File/Product/Tiny/${product.imageDefault}`"
        :alt="product.imgAlt"
        class="w-full h-full object-center object-cover lg:w-full lg:h-full"
      />
      <nuxt-link to="/auth" class="absolute bottom-4 left-5">
        <svg
          width="27px"
          height="27px"
          viewBox="0 0 27 27"
          version="1.1"
          xmlns="http://www.w3.org/2000/svg"
          xmlns:xlink="http://www.w3.org/1999/xlink"
        >
          <!-- Generator: Sketch 51.3 (57544) - http://www.bohemiancoding.com/sketch -->
          <title>fi-rr-add</title>
          <desc>Created with Sketch.</desc>
          <defs></defs>
          <g
            id="صفحه-اصلی"
            stroke="none"
            stroke-width="1"
            fill="none"
            fill-rule="evenodd"
          >
            <g
              id="صفحه-اصلی-سوپرمارکت"
              transform="translate(-1110.000000, -7794.000000)"
              fill="#000000"
              fill-rule="nonzero"
            >
              <g
                id="شیرینی-و-دسر"
                transform="translate(-8.000000, 7494.000000)"
              >
                <g
                  id="fi-rr-add"
                  transform="translate(1118.000000, 300.000000)"
                >
                  <path
                    d="M13.5,0 C6.04415588,-4.56538782e-16 9.13077564e-16,6.04415588 0,13.5 C-9.13077564e-16,20.9558441 6.04415588,27 13.5,27 C20.9558441,27 27,20.9558441 27,13.5 C26.9919395,6.04749718 20.9525028,0.00806045357 13.5,0 Z M13.5,24.75 C7.28679656,24.75 2.25,19.7132034 2.25,13.5 C2.25,7.28679656 7.28679656,2.25 13.5,2.25 C19.7132034,2.25 24.75,7.28679656 24.75,13.5 C24.7431798,19.7103762 19.7103762,24.7431798 13.5,24.75 Z M19.125,13.5 C19.125,14.1213203 18.6213203,14.625 18,14.625 L14.625,14.625 L14.625,18 C14.625,18.6213203 14.1213203,19.125 13.5,19.125 C12.8786797,19.125 12.375,18.6213203 12.375,18 L12.375,14.625 L9,14.625 C8.37867966,14.625 7.875,14.1213203 7.875,13.5 C7.875,12.8786797 8.37867966,12.375 9,12.375 L12.375,12.375 L12.375,9 C12.375,8.37867966 12.8786797,7.875 13.5,7.875 C14.1213203,7.875 14.625,8.37867966 14.625,9 L14.625,12.375 L18,12.375 C18.6213203,12.375 19.125,12.8786797 19.125,13.5 Z"
                    id="Shape"
                  ></path>
                </g>
              </g>
            </g>
          </g>
        </svg>
        <!-- <svg
          id="fi-rr-add"
          xmlns="http://www.w3.org/2000/svg"
          width="27"
          class="absolute bottom-4 left-5"
          height="27"
          viewBox="0 0 27 27"
        >
          <path
            id="Shape"
            d="M0,13.5A13.5,13.5,0,1,1,13.5,27,13.5,13.5,0,0,1,0,13.5Z"
          />
        </svg> -->
      </nuxt-link>
    </div>
    <div class="mx-2">
      <div>
        <h3 class="text-sm mt-3 text-gray-700 flex justify-end">
          <nuxt-link to="product.href">
            {{ product.name }}
          </nuxt-link>
        </h3>
      </div>
     <div class="mt-4 flex justify-between" v-if="product.priceSpecial !== product.price">
      <p class="text-sm font-medium text-gray-900">
        {{ priceFormatting(product.priceSpecial )}}
      </p>

      <p class="mt-1 text-sm text-gray-500">
        <span class="bg-red-400 px-3 py-0.5 text-white rounded-full">
         {{ discountProduct( product.priceSpecial, product.price)}}
        </span>
      </p>
    </div>
    <div :class="{'h-full':product.priceSpecial !== product.price}" class="mt-4 flex justify-start">
       <p v-if="product.priceSpecial !== product.price" class="text-sm font-medium text-gray-900/50  line-through">
        {{ priceFormatting(product.price )}}
      </p>  

      <p  v-else class="text-sm font-medium text-gray-900" >
        {{ priceFormatting(product.priceSpecial )}}
      </p>
     

    </div>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    product: {
      type: Object,
      required: true,
    },
  },
  methods: {
    priceFormatting(item) {
      return item.toString().replace(/\B(?=(\d{3})+(?!\d))/g, ',') + 'تومان'
    },
     discountProduct(price1, price2) {
      return "%" + Math.round((((price2 - price1) / price2) * 100));
    },
  },
}
</script>

<style lang="scss" scoped>
.productItem:hover {
  transition: all 0.4s ease-out;
  transform: translate(0, -15px);
}
</style>
